A vulnerabiliy has recently been discovered in the Unity shell interface. It is connected with Reddit Social network. There are some leaks in the engine of Reddit that allow the transfer of unencrypted data over SSL via «bare» HTTP.

The admins of Reddit noticed some sentences made by users in the server logs. At first it looked like a failed hacking attack. In reality, there were some attempts of unexperienced users to type commands in Dash, not in the terminal of Ubuntu.

Reddit is a reliable resource with solid reputation and in fact there are no issues people need to be concerned about. Moreover, users cannot be identified by these queries. No IP or personal information would be transmitted with such requests.

At this moment there is no reliable information about what versions of Ubuntu are liable to this problem.

Developers will take action to correct the problem, it is very possible that the engine of Reddit will become forbidden  for Ubuntu and would be opened only with some special commands such as «r: ubuntu» or «reddit: ubuntu».

Source